void dashz()
{// Dash with previously attained speed!
    void self = getlocalvar("self");
    float Vz = getlocalvar("z"+self);
    if(  Vz!=NULL() ){
      changeentityproperty(self, "velocity",0,Vz); //Move towards target!
    }
}








